<template>
    <div>
        <label class="offset-md-2 col-sm-2 col-form-label">{{label}}:&nbsp;</label>
        <div class="col-md-6">
            <select
                :multiple="multi"
                :disabled="this.$route.path === '/list'"
                class="form-control"
            >
                <option
                    v-for="option in options"
                    :key="option"
                    :value="option"
                    :selected="field_value == option"
                >{{option}}</option>
            </select>
        </div>
    </div>
</template>

<script>
export default {
    name: "SelectList",
    props: ["multi", "options", "name", "label", "field_value"]
};
</script>

<style></style>